org.jbpm.bpmn2.core

## Class SequenceFlow

- java.lang.Object
- - org.jbpm.bpmn2.core.SequenceFlow

- All Implemented Interfaces:
    Serializable

      public class SequenceFlow
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SequenceFlow(String id, String sourceRef, String targetRef)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBendpoints()`
    `String` | `getExpression()`
    `String` | `getId()`
    `String` | `getLanguage()`
    `Map<String,Object>` | `getMetaData()`
    `String` | `getName()`
    `int` | `getPriority()`
    `String` | `getSourceRef()`
    `String` | `getTargetRef()`
    `String` | `getType()`
    `void` | `setBendpoints(String bendpoints)`
    `void` | `setExpression(String expression)`
    `void` | `setLanguage(String language)`
    `void` | `setMetaData(String name, Object data)`
    `void` | `setName(String name)`
    `void` | `setPriority(int priority)`
    `void` | `setType(String type)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SequenceFlow

          public SequenceFlow(String id,
                              String sourceRef,
                              String targetRef)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getSourceRef

          public String getSourceRef()

    - #### getTargetRef

          public String getTargetRef()

    - #### getBendpoints

          public String getBendpoints()

    - #### setBendpoints

          public void setBendpoints(String bendpoints)

    - #### getExpression

          public String getExpression()

    - #### setExpression

          public void setExpression(String expression)

    - #### getLanguage

          public String getLanguage()

    - #### setLanguage

          public void setLanguage(String language)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getPriority

          public int getPriority()

    - #### setPriority

          public void setPriority(int priority)

    - #### getMetaData

          public Map<String,Object> getMetaData()

    - #### setMetaData

          public void setMetaData(String name,
                                  Object data)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.